/*

*************************************
***** Advanced Get_Dir          *****
*****                    By AJX *****
*************************************
						  Version 0.1


This lib provides two procs that offer alternatives to the built in get_dir().

The first option (Get_Dir) is more specific, including 16 directions such as
North by Northeast, West by Southwest, and the 8 base directions.

The second option (Get_dir) only returns the 8 base directions, organized in a different way.



Traditional get_dir():

NW	N	NE	NE	NE

NW	N	NE	NE	NE

W	X	E	E	E

SW	S	SE	SE	SE

SW	S	SE	SE	SE

Get_Dir():

NNW	N	NNE	NNE	NE	ENE	ENE

NNW	N	NNE	NE	ENE	ENE	ENE

NW	N	NE	ENE	ENE	ENE	ENE

W	X	E	E	E	E	E

SW	S	SE	ESE	ESE	ESE	ESE

SSW	S	SSE	SE	ESE	ESE	ESE

SSW	S	SSE	SSE	SE	ESE	ESE

Get_dir():

N	N	N	N	NE

N	N	N	NE	E

NW	N	NE	E	E

W	X	E	E	E

SW	S	SE	E	E

S	S	S	SE	E

S	S	S	S	SE


Usage: Get_Dir(Source,Target)
Returns: One of (N,E,S,W,NW,NE,SW,SE,NNW,WNW,NNE,ENE,SSW,WSW,SSE,ESE)
Details:
Proc will return the most accurate relevant direction. Absolute directions
such as north/south/northeast/southwest will only occur if they are in a direct
line from the source, not a 'closest to' option.

Usage: Get_dir(Source,Target)
Returns: One of (N,E,S,W,NE,SE,NW,SW)
Details:
Proc will return NE/SE/NW/SW if in a direct line from source, otherwise will return
most relevant of N/E/S/W.


*/